import os

import matplotlib.pyplot as plt
from torch.hub import download_url_to_file
import pandas as pd
from sklearn.preprocessing import MinMaxScaler

dataset_name = '2021-12-11-BC6610D5-07C5-4F7E-9586-896D143D9302.csv'
path_dataset = f'../data/{dataset_name}'
if not os.path.exists(path_dataset):
    # create data folder
    os.makedirs('../data', exist_ok=True)
    download_url_to_file(
        f'http://share.yellowrobot.xyz/quick/{dataset_name}',
        path_dataset,
        progress=True
    )

# TODO